import { styled } from "@stitches/react";
const Styles = styled("div", {
  marginTop: "1.5rem",
  marginBottom: "1.5rem",
  "& .raychat_form_main_container": {
    display: "flex",
    alignItems: "center",
    justifyContent: "flex-end"
  },
  "& #raychat_form_header": {
    borderRadius: "0 0 8px 8px",
    boxShadow: "10px 7px 30px #b1bcc726",
    width: "222px",
    backgroundColor: " #ffffff",
    "& .raychat_title": {
      borderRadius: "8px 8px 0 0",
      minHeight: "31px",
      backgroundColor: "#000000",
      padding: "8px",
      color: "#ffffff",
      fontSize: "15px",
      fontWeight: "bold",
      textAlign: "start"
    },
    "& .raychat_form_input_container": {
      padding: "0.5rem"
    },
    "& .raychat_form_input_box": {
      border: "1px solid #F0F1F2",
      boxShadow: " 0px 3px 4px #eeeeee52",
      borderRadius: "6px",
      margin: "5px",
      padding: "10px",
      display: "flex",
      justifyContent: "center",
      textAlign: "start",
      "& .input": {
        paddingLeft: "8px",
        height: "16px",
        width: "100%"
      }
    },
    "& .input_error": {
      color: "red",
      fontSize: "0.8rem"
    }
  },
  "&  .raychat_operator_avatar": {
    width: "32px",
    height: "32px",
    marginRight: "1rem",
    borderRadius: "10px"
  },
  "& .raychat_form_btn_container": {
    margin: "5px",
    fontSize: "0.8rem",
    display: "flex",
    justifyContent: "center",
    "& button": {
      width: "100%",
      border: "1px solid var(--primary-color)",
      borderRadius: "6px",
      margin: "5px",
      padding: "5px",
      display: "flex",
      justifyContent: "center",
      color: "var(--primary-color)"
    }
  },
  "& .raychat_form_success_message": {
    color: "green",
    padding: "1rem",
    display: "block"
  },
  "& .raychat_form_faild_message": {
    color: "red"
  }
});
export default Styles;