import React from "react";
import emojiData from "./EmojiData";
import emoji from "react-easy-emoji";
import Styles from "./styles/emojiPicker";

function EmojiPicker({
  onClick
}) {
  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    className: "sc-emoji-picker--content"
  }, emojiData.map(category => {
    return /*#__PURE__*/React.createElement("div", {
      className: "sc-emoji-picker--category",
      key: category.name
    }, /*#__PURE__*/React.createElement("div", {
      className: "sc-emoji-picker--category-title"
    }, category.name), category.emojis.map(emojiIcon => {
      return /*#__PURE__*/React.createElement("span", {
        key: emojiIcon,
        className: "sc-emoji-picker--emoji",
        onClick: onClick
      }, emoji(emojiIcon));
    }));
  })));
}

export default EmojiPicker;