import React from "react";
import Styles from "./styles/fileUpload";
import { useDispatch } from "react-redux";
import { sendFileMessage } from "../../../redux/messages/messages.actions";
import { IMAGES_BASE_URL } from "../../../utils/urls";

const FileUpload = ({
  onFocus,
  onBlur
}) => {
  const dispatch = useDispatch();
  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("input", {
    className: "raychat_chat_file_input",
    id: "files",
    type: "file",
    onChange: e => {
      dispatch(sendFileMessage(e.target.files[0]));
    }
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: "files",
    className: "raychat_chat_file_input_lable"
  }, /*#__PURE__*/React.createElement("img", {
    className: "raychat_chat_file_input_icon",
    src: `${IMAGES_BASE_URL}/attach-2-outline.svg`
  })));
};

export default FileUpload;