import React, { useState } from "react";
import { IMAGES_BASE_URL } from "../../../utils/urls";
import Styles from "./styles/sendMessage";

const SendMessage = ({
  onClick,
  userInput
}) => {
  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("button", {
    onClick: () => onClick()
  }, /*#__PURE__*/React.createElement("img", {
    className: `raychat_send_icon ${userInput && "active_icon"}`,
    src: `${IMAGES_BASE_URL}/paper-plane-outline.svg`
  })));
};

export default SendMessage;