import { styled } from "@stitches/react";
const Styles = styled("div", {
  display: "flex",
  alignItems: "center",
  marginLeft: "0.5rem",
  "& .raychat_voice_recorder": {
    width: "1.5rem",
    height: "1.5rem",
    opacity: "0.5",
    "&:hover": {
      opacity: "1 !important"
    }
  },
  "& .raychat_voice_analyser_container": {
    display: "flex",
    alignItems: "center",
    justifyContent: "space-between",
    width: "310px",
    "& .raychat_voice_analyser_timer": {
      color: "red",
      marginRight: "1rem",
      display: "flex",
      alignItems: "center",
      "&::after": {
        content: "",
        width: "10px",
        height: "10px",
        background: "red",
        display: "block",
        borderRadius: "50%",
        marginRight: "0.5rem"
      }
    }
  }
});
export default Styles;