import { styled } from "@stitches/react";
const Styles = styled("div", {
  "& .raychat_comment_container": {
    marginBottom: "2rem",
    width: "221px",
    height: "150px",
    marginRight: "auto",
    marginTop: "2rem",
    marginLeft: "auto",
    boxShadow: "10px 7px 30px #b1bcc726",
    borderRadius: "8px",
    overflow: "hidden",
    "& .raychat_comment_response": {
      width: "100%",
      height: "100%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    },
    "& .raychat_comment_title_container": {
      padding: "1rem",
      background: "#f1f1f1",
      color: "#212121",
      fontSize: "12px",
      "& .raychat_comment_container_title": {
        textAlign: "start"
      }
    },
    "& .raychat_comment_input_container": {
      padding: "1rem",
      display: "flex",
      alignItems: "center",
      "& .raychat_comment_input": {
        minHeight: "45px",
        flex: "1"
      },
      "& img": {
        width: "1.5rem",
        height: "1.5rem",
        opacity: "0.5",
        transform: "rotate(-134deg)"
      }
    },
    "& .send_icon": {
      width: "18px",
      height: "16px",
      transform: "rotate(180deg)"
    }
  }
});
export default Styles;