import { styled } from "@stitches/react";
const Styles = styled("div", {
  "& .raychat_team_item_main_container": {
    display: "flex",
    alignItems: "center",
    padding: "0.938rem 0.625rem",
    cursor: "pointer",
    "&:hover": {
      background: "#f5f5f5",
      borderRadius: "12px"
    },
    "& .raychat_team_item_image_container": {
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      width: "3rem",
      height: "3rem",
      "& img": {
        width: "2.488rem",
        height: "2.488rem",
        borderRadius: "14px"
      },
      "&.raychat_team_item_is_online": {
        position: "relative",
        "&::before": {
          content: "",
          width: "0.688rem",
          height: "0.688rem",
          position: "absolute",
          backgroundColor: "#3dcc9f",
          zIndex: "1000",
          borderRadius: "50%",
          right: "2px",
          border: "2px solid white",
          bottom: "3px"
        }
      },
      "&.raychat_team_item_with_new_message": {
        position: "relative",
        "&::before": {
          content: "",
          width: "0.438rem",
          height: "0.438rem",
          position: "absolute",
          backgroundColor: "#e63939",
          zIndex: "1000",
          borderRadius: "50%",
          right: 0,
          top: 0
        }
      },
      "&.raychat_team_item_is_team": {
        position: "relative",
        "& .raychat_team_item_image": {
          width: "27px !important",
          height: "28px !important",
          boxShadow: "0px 3px 16px #00000015",
          border: "2px solid #ffffff",
          position: "absolute",
          "&:nth-child(1)": {
            zIndex: "2",
            right: "-4px",
            bottom: "0"
          },
          "&:nth-child(2)": {
            zIndex: "3",
            top: "0",
            right: "6px"
          },
          "&:nth-child(3)": {
            zIndex: "4",
            left: "0",
            bottom: "0"
          }
        }
      }
    },
    "& .raychat_team_item_message_container": {
      marginRight: "0.8rem",
      textAlign: "start",
      flex: "1",
      "& .naraychat_team_item_message_senderme": {
        fontSize: "16px",
        color: "rgb(75, 91,91)",
        display: "block",
        fontWeight: "bold"
      },
      "& .raychat_team_item_messag": {
        fontSize: "13px",
        color: "#212121"
      }
    },
    "& .raychat_team_item_message_time": {
      fontSize: "11px",
      color: "#c7c7c7"
    }
  }
});
export default Styles;