import * as React from "react";
import { useVoiceRecorder } from "use-voice-recorder";
import { useState } from "react";
import { useEffect } from "react";

const App = ({
  records,
  updateRecords
}) => {
  const {
    isRecording,
    stop,
    start
  } = useVoiceRecorder(data => {
    updateRecords([...records, window.URL.createObjectURL(data)]);
  });
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", null, isRecording ? /*#__PURE__*/React.createElement("button", {
    onClick: e => {
      e.preventDefault();
      stop();
    }
  }, "Stop") : /*#__PURE__*/React.createElement("button", {
    onClick: e => {
      e.preventDefault();
      start();
    }
  }, "Start")));
};

export default App;