import React from "react";
import OperatorMessage from "../../../../../components/textMessage/operatorMessage/OperatorMessage";
import UserMessage from "../../../../../components/textMessage/userMessage/UserMessage";

function Messages() {
  const handleHeaderToggle = e => {
    const element = e.target;
    const header = document.getElementById("accepted_chat_header");

    if (element.scrollTop < 30) {
      header.classList.add("expanded");
    } else {
      header.classList.remove("expanded");
    }
  };

  return /*#__PURE__*/React.createElement("div", {
    onScroll: e => {
      handleHeaderToggle(e);
    },
    className: "overflow-auto flex-1 p-08"
  }, /*#__PURE__*/React.createElement(UserMessage, {
    status: "unSuccess"
  }), /*#__PURE__*/React.createElement(OperatorMessage, {
    withAvatar: true
  }), /*#__PURE__*/React.createElement(UserMessage, {
    status: "pending"
  }), /*#__PURE__*/React.createElement(OperatorMessage, {
    withAvatar: true
  }), /*#__PURE__*/React.createElement(OperatorMessage, null), /*#__PURE__*/React.createElement(UserMessage, {
    status: "seen"
  }));
}

export default Messages;