import { styled } from "@stitches/react";
const Styles = styled("div", {
  height: "100%",
  "& .raychat_messaging_page": {
    display: "flex",
    flexDirection: "column",
    width: "100%",
    height: "100%",
    color: "#ffffff",
    "& .raychat_messaging_page_chat_input_container": {
      borderTop: "1px solid rgb(234, 232, 232)",
      borderBottom: "1px solid rgb(234, 232, 232)",
      height: "71px"
    },
    "& .raychat_messaging_page_footer": {
      zIndex: "999999999"
    }
  },
  "& .powered_by_raychet": {
    width: "100%",
    paddingBottom: "1px",
    "& .main_powered_by_raychat_div": {
      backgroundColor: "#fafafa",
      margin: "0 auto",
      padding: "5px",
      width: "100%",
      color: "#9e9e9e",
      "&:hover": {
        "& img": {
          filter: "none",
          opacity: "1"
        }
      },
      "& a": {
        textDecoration: "none",
        color: "#bfbdbd",
        fontSize: "0.8rem"
      },
      "& img": {
        width: "20px",
        display: "inline-block",
        verticalAlign: "middle",
        padding: "0 4px",
        opacity: "0.55",
        filter: "grayscale(100%)"
      }
    }
  },
  "@media (max-width: 450px)": {
    "& .raychat_chat_header_close_icon": {
      "& img": {
        padding: "11px !important"
      }
    }
  }
});
export default Styles;