import { combineReducers } from "redux";
import messagesReducer from "./messages/messages.reducer";
import storageReducer from "./storage/storage.reducer";
import widgetReducer from "./widget/widget.reducer";
const rootReducer = combineReducers({
  storageData: storageReducer,
  messagesData: messagesReducer,
  widgetData: widgetReducer
});
export default rootReducer;