import React, { useState } from "react";
import { IMAGES_BASE_URL } from "../../../utils/urls";
import Styles from "./styles/emojiSender";

const EmojiSender = ({
  toggleIcons
}) => {
  const openPicker = e => {
    e.preventDefault();
    toggleIcons();
  };

  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("button", {
    onClick: e => openPicker(e)
  }, /*#__PURE__*/React.createElement("img", {
    className: "raychat_emoji_input_icon",
    src: `${IMAGES_BASE_URL}/smiling-face-outline.svg`
  })));
};

export default EmojiSender;