import { styled } from "@stitches/react";
const Styles = styled("div", {
  background: "rgba(0, 0, 0, 0.8)",
  height: "100%",
  width: "100%",
  display: "block",
  position: "fixed",
  top: "0",
  left: "0",
  zIndex: "99999999999999",
  cursor: "zoom-out",
  display: "flex",
  flexDirection: "column",
  "& .img_container": {
    width: "400px",
    height: "400px",
    lineHeight: "400px",
    backgroundColor: "#cccccc",
    verticalAlign: "middle",
    position: "relative",
    border: "1px solid black",
    "& .img_message": {
      position: "absolute",
      display: "block",
      maxWidth: "100%",
      maxHeight: "100%",
      margin: "auto",
      verticalAlign: "middle",
      width: "auto",
      height: "auto",
      top: "0",
      bottom: "0",
      left: "0",
      right: "0"
    }
  },
  "& .btn": {
    color: "#ffffff",
    margin: "1rem"
  },
  "& .file_message": {
    background: "#ffffff",
    display: "flex",
    borderRadius: "30px",
    "& span": {
      margin: "1rem"
    }
  },
  "& .raychat_file_overlay_header": {
    background: "#eaeaea",
    color: "#000000",
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    padding: "1rem 1rem",
    position: "relative",
    "& .raychat_file_overlay_header_close_icon": {
      width: "2rem",
      height: "2rem",
      position: "absolute",
      left: "1rem",
      background: "#000000",
      borderRadius: "50%",
      padding: "5px",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      "& img": {
        width: "1rem",
        height: "1rem"
      }
    }
  },
  "& .raychat_file_overlay_main": {
    display: "flex",
    alignItems: "center",
    justifyContent: "center",
    flexDirection: "column",
    flex: "1",
    "& .file_message_container": {
      background: "#eaeaea",
      width: "280px",
      height: "280px",
      display: "flex",
      flexDirection: "column",
      alignItems: "center",
      justifyContent: "center",
      padding: "1rem",
      borderRadius: "25px",
      "& .file_icon": {
        width: "150px",
        height: "150px"
      },
      "& .file_description": {
        paddingTop: "1.5rem",
        fontWeight: "bold",
        color: "#9b9999"
      }
    }
  },
  "& .raychat_file_overlay_send_icon_container": {
    width: "100%",
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    color: "#ffffff",
    "& .raychat_file_overlay_send_icon": {
      background: "#ffffff",
      padding: "1rem",
      borderRadius: "50%",
      maxWidth: "1.5rem",
      maxHeight: "1.5rem",
      margin: "1rem",
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    }
  }
});
export default Styles;