import { styled } from "@stitches/react";
const Styles = styled("div", {
  "& .raychat_rating_message_containr": {
    display: "flex",
    padding: "1rem",
    flexDirection: "column",
    alignItems: "flex-start",
    justifyContent: "space-around",
    marginBottom: "2rem",
    width: "221px",
    height: "141px",
    background: "#ffffff",
    boxShadow: "10px 7px 30px #b1bcc726",
    borderRadius: "8px",
    marginTop: "2rem",
    marginRight: "auto",
    marginLeft: "auto",
    "& .raychat_rating_message_response": {
      width: "100%",
      height: "100%",
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    },
    "& .raychat_rating_message_title": {
      color: "#212121",
      fontSize: "12px"
    },
    "& .raychat_rating_message_main_emoji_container": {
      display: "flex",
      alignItems: "center",
      justifyContent: "space-between",
      width: "100%",
      "& .raychat_rating_message_single_emoji_container": {
        display: 'flex',
        flexDirection: "column",
        alignItems: "center",
        justifyContent: "center"
      }
    },
    "& .emoji": {
      fontSize: "28px",
      cursor: "pointer",
      "&:hover": {
        transform: "scale(1.4)"
      }
    },
    "& .status": {
      fontSize: "12px",
      color: "#bdbdbd"
    }
  }
});
export default Styles;