import React from "react";
import Header from "../header/Header";
import Messages from "../messages/Messages";
import ChatInput from "../../../../../components/chatInput/index/ChatInput";
import { useState } from "react";
import EmojiPicker from "../../../../../components/chatInput/emojiPicker/EmojiPicker";
import Styles from "./styles/acceptedChat";

const AcceptedChat = ({
  changeLuncherContent
}) => {
  const [showIcons, setShowIcons] = useState(false);

  const toggleIcons = () => {
    setShowIcons(!showIcons);
  };

  return /*#__PURE__*/React.createElement(Styles, null, /*#__PURE__*/React.createElement("div", {
    className: "accepted_chat d-flex flex-column"
  }, /*#__PURE__*/React.createElement(Header, {
    changeLuncherContent: changeLuncherContent
  }), /*#__PURE__*/React.createElement(Messages, null), /*#__PURE__*/React.createElement("div", {
    className: "chat_input_container"
  }, /*#__PURE__*/React.createElement(ChatInput, null)), showIcons && /*#__PURE__*/React.createElement(EmojiPicker, null)));
};

export default AcceptedChat;