import { styled } from "@stitches/react";
const Styles = styled("div", {
  height: "100%",
  "& .raychat_conversations_list": {
    display: "flex",
    flexDirection: "column",
    overflow: "auto",
    width: "100%",
    height: "100%",
    "& .raychat_conversations_list_messages_container": {
      overflow: "auto",
      padding: "0.8rem 0.625rem 5rem"
    },
    "& .raychat_conversations_list_footer": {
      position: "absolute",
      bottom: "0",
      right: "0",
      width: "100%",
      backgroundImage: "linear-gradient(0deg, white, transparent)",
      "& button": {
        background: "rgb(54, 179, 139)",
        margin: "3rem",
        padding: "12px 24px",
        color: "rgb(255, 255, 255)",
        borderRadius: "30px",
        fontSize: "14px",
        fontweight: "bold",
        "&:hover": {
          boxShadow: "2px 2px 34px -5px rgba(54,179,139,0.77)"
        }
      }
    }
  }
});
export default Styles;