import React from "react";
import { useSelector } from "react-redux";
import FileOverlay from "../components/fileOverlay/FileOverlay";
import Luancher from "../containers/widget/launcher/main/Luancher";

const mapState = ({
  widgetData
}) => ({
  showWidget: widgetData.widgetInfo.showWidget
});

const Widget = props => {
  let {
    showWidget
  } = useSelector(mapState);
  return /*#__PURE__*/React.createElement("div", null, showWidget && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Luancher, null), /*#__PURE__*/React.createElement(FileOverlay, null)));
};

export default Widget;