import axios from "axios";
import { RAYCHAT_DEPARTMENT_URL } from "../../utils/urls";
export const handleFetchDepartment = async channel_id => {
  const response = await axios({
    method: "get",
    baseURL: RAYCHAT_DEPARTMENT_URL,
    url: "/department/",
    params: {
      channelId: channel_id
    },
    headers: {
      "Content-Type": "application/json"
    }
  });
  return response.data;
};