import { storageTypes } from "./storage.types";
export const INITIONALIZE_STATE = {
  raychat: {}
};

const storageReducer = (state = INITIONALIZE_STATE, action) => {
  switch (action.type) {
    case storageTypes.INITIONALIZE_STORAGE:
      if (!localStorage.getItem("www.raychat.io")) {
        localStorage.setItem("www.raychat.io", JSON.stringify({}));

        if (localStorage.getItem("rayToken")) {
          return { ...state,
            raychat: { ...state.raychat,
              rayToken: localStorage.getItem("rayToken")
            }
          };
        }
      } else {
        return { ...state,
          raychat: JSON.parse(localStorage.getItem("www.raychat.io"))
        };
      }

      break;

    default:
      return state;
  }
};

export default storageReducer;