import { widgetTypes } from "./widget.types";
export const fetchWidgetInfoStart = () => ({
  type: widgetTypes.FETCH_WIDGET_INFO_START
});
export const setWidgetInfo = widgetInfo => ({
  type: widgetTypes.SET_WIDGET_INFO,
  payload: widgetInfo
});
export const setActiveTriggerMessage = message => ({
  type: widgetTypes.SET_ACTIVE_TRIGGER_MESSAGE,
  payload: message
});
export const setShowWidget = showWidget => ({
  type: widgetTypes.SET_SHOW_WIDGET,
  payload: showWidget
});
export const setShowLuancher = showLuancher => ({
  type: widgetTypes.SET_SHOW_LUANCHER,
  payload: showLuancher
});
export const setShowTrigger = showTrigger => ({
  type: widgetTypes.SET_SHOW_TRIGGER,
  payload: showTrigger
});
export const setLuancherContent = content => ({
  type: widgetTypes.SET_LUANCHER_CONTENT,
  payload: content
});
export const setHeaderExpand = isExpanded => ({
  type: widgetTypes.SET_HEADER_EXPAND,
  payload: isExpanded
});
export const setLuancherIcon = icon => ({
  type: widgetTypes.SET_LUANCHER_ICON,
  payload: icon
});
export const setAnimateWidget = animate => ({
  type: widgetTypes.SET_ANIMATE_WIDGET,
  payload: animate
});
export const setOfficeHoure = isOfficeHoure => ({
  type: widgetTypes.SET_OFFICE_HOURE,
  payload: isOfficeHoure
});
export const setDisableTrigger = disabled => ({
  type: widgetTypes.SET_DISABLE_TRIGGER,
  payload: disabled
});
export const setDisableTriggerMessages = () => ({
  type: widgetTypes.SET_DISABLE_TRIGGER_MESSAGES
});
export const setHideRaychatLogo = hidden => ({
  type: widgetTypes.SET_HIDE_RAYCHAT_LOGO,
  payload: hidden
});
export const setDisableSendVoice = disabled => ({
  type: widgetTypes.SET_DISABLE_SEND_VOICE,
  payload: disabled
});
export const setDepartment = department => ({
  type: widgetTypes.SET_DEPARTMENT,
  payload: department
});